Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members

# Components::Deployment::ComponentInstallation Interface Reference

`import "Component_Base.idl";`

List of all members.

## Public Member Functions
void | install (in UUID implUUID, in Location component_loc) raises (InvalidLocation, InstallationFailure)
void | replace (in UUID implUUID, in Location component_loc) raises (InvalidLocation, InstallationFailure)
void | remove (in UUID implUUID) raises (UnknownImplId, RemoveFailure)
Location | get_implementation (in UUID implUUID) raises (UnknownImplId, InstallationFailure)
void | install (in UUID implUUID, in Location component_loc) raises (InvalidLocation, InstallationFailure)
void | replace (in UUID implUUID, in Location component_loc) raises (InvalidLocation, InstallationFailure)
void | remove (in UUID implUUID) raises (UnknownImplId, RemoveFailure)
Location | get_implementation (in UUID implUUID) raises (UnknownImplId, InstallationFailure)

## Member Function Documentation

Location Components::Deployment::ComponentInstallation::get_implementation | ( | in UUID | implUUID | ) | raises (UnknownImplId, InstallationFailure)

Location Components::Deployment::ComponentInstallation::get_implementation | ( | in UUID | implUUID | ) | raises (UnknownImplId, InstallationFailure)

void Components::Deployment::ComponentInstallation::install | ( | in UUID | implUUID,
|  | in Location | component_loc
| ) | raises (InvalidLocation, InstallationFailure)

void Components::Deployment::ComponentInstallation::install | ( | in UUID | implUUID,
|  | in Location | component_loc
| ) | raises (InvalidLocation, InstallationFailure)

void Components::Deployment::ComponentInstallation::remove | ( | in UUID | implUUID | ) | raises (UnknownImplId, RemoveFailure)

void Components::Deployment::ComponentInstallation::remove | ( | in UUID | implUUID | ) | raises (UnknownImplId, RemoveFailure)

void Components::Deployment::ComponentInstallation::replace | ( | in UUID | implUUID,
|  | in Location | component_loc
| ) | raises (InvalidLocation, InstallationFailure)

void Components::Deployment::ComponentInstallation::replace | ( | in UUID | implUUID,
|  | in Location | component_loc
| ) | raises (InvalidLocation, InstallationFailure)

The documentation for this interface was generated from the following files:

- CCM_Deployment.idl
- Component_Base.idl